# Files

Endpoints for managing workspace files.

## Upload

> &#x20;This endpoint allows you to upload a file to the workspace.\
> You can use this endpoint to upload a file and get the id of the file to use as an input in an app.&#x20;

```json
{"openapi":"3.0.1","info":{"title":"API V1","version":"v1"},"tags":[{"name":"Files","description":"Endpoints for managing workspace files."}],"servers":[{"url":"https://api.airops.com","variables":{"defaultHost":{"default":"api.airops.com"}}}],"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"type":"http","scheme":"bearer"}}},"paths":{"/public_api/workspace_files":{"post":{"summary":"Upload","description":" This endpoint allows you to upload a file to the workspace.\nYou can use this endpoint to upload a file and get the id of the file to use as an input in an app. ","operationId":"workspaceFileUpload","tags":["Files"],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"file":{"type":"string","format":"binary"}},"required":["file"]}}}},"responses":{"200":{"description":"File uploaded successfully","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"integer","description":"The id of the file, you can use this id as an app's input"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"}}}}}},"401":{"description":"Authentication error'"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.airops.com/api-reference/api-reference/files.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
